Subject: bug#32599: 25.2; Feature request: input PUA characters by name

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Dec 2020 11:06:28 +0200

On December 31, 2020 10:14:41 AM GMT+02:00, [email-masked] wrote:
> On Thu, Dec 31 2020 at  9:49 +02, Eli Zaretskii wrote:
> > On December 31, 2020 8:39:03 AM GMT+02:00, [email-masked]
> wrote:
> >> So the PUA names are to be added to ucs-names in mule-cmds.el. At
> >> first
> >> glance it doesn't seem difficult, as I already have them in the
> form
> >> of 
> >> uni-name.el. I will work on it after New Year.
> >
> > What would be the advantage of adding names for PUA codepoints?
> 
> To make it clear: I'm not adding names to PUA codepoints, I add to
> Emacs
> the names already in use for some PUA codepoints.
> 
> > The disadvantage is clear: bloating the Emacs process memory
> footprint
> > by some 137,000 strings of some non-descriptive form, like
> > PUA-CHARACTER-nn.
> 
> What do you need PUA-CHARACTER-nn for? I never proposed anything like
> this.
> 
> Moreover:
> 
> There is always price for everything.
> 
> BTW, not 137,000 but 739 for MUFI 4.0 and a little more for the
> current 
> version.

OK, it wasn't clear that you want to add MUFI codepoints.

However, if that is the intent, I think we should first discuss whether we want to add PUA codepoints defined by the different initiatives, and if so, which ones.  MUFI is not the only such collections, there are others.

We could instead wait until these codepoints are incorporated into the Unicode Standard (as already happened with some MUFI codepoints).  Or we might decide that we want to add some infrastructure which could be used by users to add support for ranges of PUA without adding that by default.

IOW, I think this kind of changes should be discussed first, and the place to discuss them is not here, it's on emacs-devel.